<!DOCTYPE HTML>

<HTML>

<HEAD>

	<TITLE>白板</TITLE>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
	<LINK REL="stylesheet" TYPE="text/css" HREF="../master.css">

<?php   // 保存してある状態を呼び出し
	$n = "0";
	$x = "";
	$y = "";
	$tx = "";
	$in = fopen("../sheet/white/data", "rb");
	if (filesize("../sheet/white/data") > 0) {
		$str = fread($in, filesize("../sheet/white/data"));
		$n = strtok($str, ",");
		if (intval($n) > 0) {
			$x = strtok(",");
			for ($i1 = 1; $i1 < intval($n); $i1++)
				$x = $x.",".strtok(",");
			$y = strtok(",");
			for ($i1 = 1; $i1 < intval($n); $i1++)
				$y = $y.",".strtok(",");
		}
		$tok = strtok(",");
		if ($tok) {
			$i1 = 0;
			$tt = strtok($tok, "\n\r");
			while ($tt) {
				if ($i1 == 0)
					$tx = $tt;
				else
					$tx = $tx."\\n".$tt;
				$i1++;
				$tt = strtok("\n\r");
			}
		}
	}
	fclose($in);
?>

	<SCRIPT TYPE="text/javascript">
		blush  = false;   // お絵かき用ブラシの状態（絵を描けない状態）
		x_old  = -1;
		y_old  = -1;
		x_base = -1;
		y_base = -1;
		canvas = null;
		ctx    = null;
		x = new Array();
		y = new Array();
		n = 0;
					// 初期設定
		function draw() {
			canvas = document.getElementById('canvas_e');
			canvas.width  = 800;   // キャンバス要素の幅
			canvas.height = 500;   // キャンバス要素の高さ
			x_base = canvas.offsetLeft;   // キャンバスの左上のｘ座標
			y_base = canvas.offsetTop;   // キャンバスの左上のｙ座標
			ctx = canvas.getContext('2d');   // キャンバスからコンテキストを取得
			ctx.lineWidth = 3;   // 線の太さ
							// 描画
			n = parseInt(<?php echo $n; ?>);
			if (n > 0) {
				var str = "<?php echo $x; ?>";
				x = str.split(",");
				str = "<?php echo $y; ?>";
				y = str.split(",");
				blush = false;
				ctx.beginPath();
				ctx.moveTo(x[0], y[0]);
				for (var i1 = 1; i1 < n; i1++) {
					if (x[i1] >= 0)
						ctx.lineTo(x[i1], y[i1]);
					else {
						ctx.stroke();
						i1++;
						if (i1 < n) {
							ctx.beginPath();
							ctx.moveTo(x[i1], y[i1]);
						}
					}
				}
				ctx.stroke();
			}
							// テキスト
			var text = "<?php echo $tx; ?>";
			var tt = text.replace(/\\n/g, "\n");
			if (text.length > 0) {
				document.getElementById("text").value = tt;
				var str = tt.split("\n");
				if (str.length > 0) {
					ctx.font = "20px 'ＭＳ ゴシック'";
					var ph = 20;
					for (var i1 = 0; i1 < str.length; i1++) {
						ctx.fillText(str[i1], 10, ph);
						ph += 20;
					}
				}
			}
		}
					// イベント処理
		function m_move(event) {   // マウス移動イベント
			if (blush) {
				if (navigator.appName.indexOf("Explorer") >= 0) {
					x_now = event.x - x_base;
					y_now = event.y - y_base;
				}
				else {
					x_now = event.pageX - x_base;
					y_now = event.pageY - y_base;
				}
				x[n] = x_now;
				y[n] = y_now;
				ctx.beginPath();
				ctx.moveTo(x_old, y_old);
				ctx.lineTo(x_now, y_now);
				ctx.stroke();
				n++;
				x_old = x_now;
				y_old = y_now;
			}
		}

		function m_down(event) {   // マウスボタン押下イベント
			if (!blush) {
				if (navigator.appName.indexOf("Explorer") >= 0) {
					x_old = event.x - x_base;
					y_old = event.y - y_base;
				}
				else {
					x_old = event.pageX - x_base;
					y_old = event.pageY - y_base;
				}
				x[n] = x_old;
				y[n] = y_old;
				n++;
				blush = true;   // 描ける状態
			}
		}

		function m_up(event) {   // マウスボタン離されたイベント
			if (blush) {
				if (n == 0 || x[n-1] >= 0) {
					x[n] = -1;
					y[n] = -1;
					n++;
				}
				blush = false;   // 描けない状態
			}
		}
					// 領域のクリア
		function clear_text()   // 文字
		{
			document.getElementById("text").value = "";
			ctx.clearRect(0, 0, canvas.width, canvas.height);
			if (n > 0) {
				blush = false;
				ctx.beginPath();
				ctx.moveTo(x[0], y[0]);
				for (var i1 = 1; i1 < n; i1++) {
					if (x[i1] >= 0)
						ctx.lineTo(x[i1], y[i1]);
					else {
						ctx.stroke();
						i1++;
						if (i1 < n) {
							ctx.beginPath();
							ctx.moveTo(x[i1], y[i1]);
						}
					}
				}
				ctx.stroke();
			}
			return false;
		}

		function clear_fig()   // 画像
		{
			ctx.clearRect(0, 0, canvas.width, canvas.height);
			n = 0;
			str = (document.getElementById("text").value).split("\n");
			if (str.length > 0) {
				ctx.font = "20px 'ＭＳ ゴシック'";
				var ph = 20;
				for (var i1 = 0; i1 < str.length; i1++) {
					ctx.fillText(str[i1], 10, ph);
					ph += 20;
				}
			}
			return false;
		}

		function clear_all()   // すべて
		{
			document.getElementById("text").value = "";
			ctx.clearRect(0, 0, canvas.width, canvas.height);
			n = 0;
			return false;
		}
					// 描画領域へテキストエリアの文字列を設定
		function set_text(str)
		{
			if (str == "")
				str = (document.getElementById("text").value).split("\n");
			ctx.font = "20px 'ＭＳ ゴシック'";
			var ph = 20;
			for (var i1 = 0; i1 < str.length; i1++) {
				ctx.fillText(str[i1], 10, ph);
				ph += 20;
			}
			return false;
		}
					// データを送信し保存
		function trans(form)
		{
			form.n.value = n;
			var xx = new Array();
			var yy = new Array();
			for (var i1 = 0; i1 < n; i1++) {
				xx[i1] = x[i1];
				yy[i1] = y[i1];
			}
			form.x.value = xx;
			form.y.value = yy;
			form.t.value = document.getElementById("text").value;
			form.submit();
		}
	</SCRIPT>

</HEAD>

<BODY CLASS="color" onLoad="draw()">

	<FORM ACTION="keep.php" METHOD="post" TARGET="message">
		<P CLASS="center">
			<BUTTON STYLE="font-size: 90%; background-color: yellow" onClick="return clear_fig()">画像削除</BUTTON> 
			<BUTTON STYLE="font-size: 90%; background-color: yellow" onClick="return clear_text()">テキスト削除</BUTTON> 
			<BUTTON STYLE="font-size: 90%; background-color: yellow" onClick="return clear_all()">すべて削除</BUTTON>
			<BUTTON STYLE="font-size: 90%; background-color: pink" onClick="trans(this.form)">送信</BUTTON>
			<INPUT TYPE="hidden" NAME="n" ID="n" VALUE="">
			<INPUT TYPE="hidden" NAME="x" ID="x" VALUE="">
			<INPUT TYPE="hidden" NAME="y" ID="y" VALUE="">
			<INPUT TYPE="hidden" NAME="t" ID="t" VALUE="">
		</P>
	</FORM>
	<DIV CLASS="center">
		<CANVAS ID="canvas_e" STYLE="background-color: #ffffff;" WIDTH="800" HEIGHT="500" onMouseMove="m_move(event)" onMouseDown="m_down(event)" onMouseUp="m_up(event)"></CANVAS><BR><BR>
		<TEXTAREA ID="text" COLS="65" ROWS="10" STYLE="font-size: 100%" onBlur="set_text('')"></TEXTAREA>
	</DIV>

</BODY>

</HTML>
